SFTP-SERVER(8)

NUME
sftp-server - subsistemul de server SFTP OpenSSH

SINOPSIS
sftp-server [-ehR] [-d directorul-de-pornire] [-f facilitate-jurnal] [-l nivel-jurnal] [-P cereri-refuzate] [-p cereri-permise] [-u umask] sftp-server -Q caracteristică-protocol

DESCRIERE
sftp-server este un program care comunică partea de server a protocolului SFTP la ieșirea standard (stdout) și așteaptă solicitările clientului de la intrarea standard (stdin). sftp-server nu este destinat să fie apelat direct, ci din sshd(8) folosind opțiunea Subsystem.

Opțiunile de linie de comandă pentru sftp-server trebuie specificate în declarația Subsystem. Pentru mai multe informații, consultați sshd_config(5).

Opțiunile valide sunt:

-d directorul-de-pornire
    Specifică un alt director de pornire pentru utilizatori. Numele rutei poate conține următoarele simboluri care sunt extinse în timpul execuției: %% este înlocuit cu un „%” literal, %d este înlocuit cu directorul personal al utilizatorului care se autentifică și %u este înlocuit cu numele de utilizator al utilizatorului respectiv. În mod implicit, se utilizează directorul personal al utilizatorului. Această opțiune este utilă în combinație cu opțiunea sshd_config(5) ChrootDirectory.

-e  Face ca sftp-server să afișeze informațiile de jurnalizare la ieșirea de eroare standard în loc de syslog pentru depanare.

-f facilitate-jurnal
    Specifică codul de facilitate care este utilizat la înregistrarea mesajelor din sftp-server. Valorile posibile sunt: DAEMON, USER, AUTH, LOCAL0, LOCAL1, LOCAL2, LOCAL3, LOCAL4, LOCAL5, LOCAL6, LOCAL7. Valoarea implicită este AUTH.

-h  Afișează informații despre utilizarea sftp-server.

-l nivel-jurnal
    Specifică ce mesaje vor fi înregistrate de sftp-server. Valorile posibile sunt: QUIET, FATAL, FATAL, ERROR, INFO, VERBOSE, DEBUG, DEBUG1, DEBUG2 și DEBUG3. INFO și VERBOSE înregistrează tranzacțiile pe care sftp-server le efectuează în numele clientului. DEBUG și DEBUG1 sunt echivalente. DEBUG2 și DEBUG3 specifică fiecare niveluri mai ridicate de ieșire de depanare. Valoarea implicită este ERROR.

-P cereri-refuzate
    Specifică o listă de cereri de protocol SFTP, separate prin virgulă, care sunt refuzate de server. sftp-server va răspunde la orice cerere refuzată cu un eșec. Fanionul -Q poate fi utilizat pentru a determina tipurile de cereri acceptate. Dacă sunt specificate atât listele de cereri refuzate, cât și cele de cereri permise, atunci lista de cereri refuzate se aplică înaintea listei de cereri permise.

-p cereri-permise
    Specifică o listă de cereri de protocol SFTP, separate prin virgulă, care sunt permise de server. Toate tipurile de cereri care nu se află pe lista de cereri permise vor fi înregistrate și vor primi un mesaj de eșec.

    Atunci când se utilizează această funcție, trebuie să se aibă grijă să se asigure că cererile făcute implicit de clienții SFTP sunt permise.

-Q caracteristică-protocol
    Interoghează caracteristicile protocolului acceptate de sftp-server. În prezent, singura caracteristică care poate fi interogată este “requests”, care poate fi utilizată pentru a refuza sau a permite cereri specifice (fanioanele -P și, respectiv, -p).

-R  Plasează această instanță de sftp-server în modul numai-pentru-citire. Încercările de a deschide fișiere pentru scriere, precum și alte operațiuni care modifică starea sistemului de fișiere, vor fi refuzate.

-u umask
    Stabilește o mască explicită umask(2) care să fie aplicată fișierelor și directoarelor nou-create, în locul măștii implicite a utilizatorului.

Pe unele sisteme, sftp-server trebuie să poată accesa /dev/log pentru ca autentificarea să funcționeze, iar utilizarea lui sftp-server într-o configurație chroot necesită, prin urmare, ca syslogd(8) să stabilească un soclu de autentificare în interiorul directorului chroot.

CONSULTAȚI ȘI
sftp(1), ssh(1), sshd_config(5), sshd(8) T. Ylonen, S. Lehtinen, „SSH File Transfer Protocol”, draft-ietf-secsh-filexfer-02.txt, octombrie 2001, document în lucru.

ISTORIC
sftp-server a apărut pentru prima dată în OpenBSD 2.8.

AUTORI
Markus Friedl <markus@openbsd.org>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3: https://www.gnu.org/licenses/gpl-3.0.html sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.